%{?drupal7_find_provides_and_requires}

%global module panels

Name:          drupal7-%{module}
Version:       3.7
Release:       1%{?dist}
Summary:       Allows a site administrator to create customized layouts

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module}
Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: drupal7-rpmbuild >= 7.23-3

# panels.info
Requires:      drupal7(ctools)
# phpcompatinfo (computed from version 3.7)
Requires:      php-date
Requires:      php-pcre
Requires:      php-spl

%description
The Panels module allows a site administrator to create customized layouts for
multiple uses. At its core it is a drag and drop content manager that lets you
visually design a layout and place content within that layout. Integration with
other systems allows you to create nodes that use this, landing pages that use
this, and even override system pages such as taxonomy and the node page so that
you can customize the layout of your site with very fine grained permissions.

This package provides the following Drupal modules:
* %{module}
* %{module}_ipe
* %{module}_mini
* %{module}_node
* i18n_%{module}


%prep
%setup -qn %{module}

: Licenses and docs
mkdir -p .rpm/{licenses,docs}
mv LICENSE.txt .rpm/licenses/
mv *.txt .rpm/docs/


%build
# Empty build section, nothing to build


%install
mkdir -p %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/


%files
%{!?_licensedir:%global license %%doc}
%license .rpm/licenses/*
%doc .rpm/docs/*
%{drupal7_modules}/%{module}


%changelog
* Sun Sep 11 2016 Shawn Iwinski <shawn.iwinski@gmail.com> - 3.7-1
- Updated to 3.7 (RHBZ #1370663 / SA-CONTRIB-2016-047)

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Feb 07 2015 Shawn Iwinski <shawn.iwinski@gmail.com> - 3.5-2
- Added drupal7(ctools) requirement

* Tue Feb 03 2015 Shawn Iwinski <shawn.iwinski@gmail.com> - 3.5-1
- Updated to 3.5 (BZ #1187881)
- Spec cleanup

* Mon May 26 2014 Peter Borsa <peter.borsa@gmail.com> - 3.4-1
- Initial package
